Bug 1592900 - [RFE] [V2V] Add Cinder volume types to CF OpenStack provider
Summary: [RFE] [V2V] Add Cinder volume types to CF OpenStack provider
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: V2V
Version: 5.10.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: MVP
: 5.10.0
Assignee: Sam Lucidi
QA Contact: Kedar Kulkarni
Red Hat CloudForms Documentation
URL:
Whiteboard:
Depends On:
Blocks: 1569437 1601090
TreeView+ depends on / blocked
 
Reported: 2018-06-19 14:42 UTC by Anandeep Pannu
Modified: 2019-02-07 23:03 UTC (History)
13 users (show)

Fixed In Version: 5.10.0.8
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-02-07 23:03:14 UTC
Category: Feature
Cloudforms Team: Openstack
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:0212 None None None 2019-02-07 23:03:24 UTC

Description Anandeep Pannu 2018-06-19 14:42:11 UTC
Description of problem:
In order to do VM migration from VMWare to OpenStack, we need the capability to identify and control multiple Cinder volume backend types. This needs the capability to be added to the CF OpenStack provider, since currently the Cinder volume type cannot be specified during volume creation

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 2 Dave Johnson 2018-06-19 14:43:39 UTC
Please assess the impact of this issue and update the severity accordingly.  Please refer to https://bugzilla.redhat.com/page.cgi?id=fields.html#bug_severity for a reminder on each severity's definition.

If it's something like a tracker bug where it doesn't matter, please set the severity to Low.

Comment 7 Kedar Kulkarni 2018-10-12 15:13:47 UTC
In rails console I ran 
ExtManagementSystem.where(:name =>“provider_name”).first.cloud_volume_types

which yielded the Cloud Volume Type on my provider.

Comment 8 errata-xmlrpc 2019-02-07 23:03:14 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:0212


Note You need to log in before you can comment on or make changes to this bug.